Subject: Re: linux-next: manual merge of the pinctrl-intel tree with the gpio-brgl tree

From: Andy Shevchenko <[email-masked]>
Date: Mon, 11 Dec 2023 16:48:36 +0200

On Mon, Dec 11, 2023 at 03:04:09PM +0100, Bartosz Golaszewski wrote:
> On Mon, 11 Dec 2023 at 14:40, Andy Shevchenko
> <[email-masked]> wrote:
> > On Mon, Dec 11, 2023 at 09:15:30AM +0100, Bartosz Golaszewski wrote:
> > > On Mon, 11 Dec 2023 at 04:51, Stephen Rothwell <[email-masked]> wrote:
> >
> > > > Today's linux-next merge of the pinctrl-intel tree got a conflict in:
> > > >
> > > >   drivers/pinctrl/intel/pinctrl-baytrail.c
> > > >
> > > > between commit:
> > > >
> > > >   c73505c8a001 ("pinctrl: baytrail: use gpiochip_dup_line_label()")
> > > >
> > > > from the gpio-brgl tree and commit:
> > > >
> > > >   6191e49de389 ("pinctrl: baytrail: Simplify code with cleanup helpers")
> > > >
> > > > from the pinctrl-intel tree.

...

> > > Andy, please pull the following into your baytrail tree:
> > > https://lore.kernel.org/lkml/[email-masked]/
> >
> > I can do it, but why?
> 
> You were the one who asked me to put these commits into an immutable
> branch in the first place to avoid conflicts with the baytrail branch.
> :)

True with the caveat like (citing by memory): "I see no conflicts with
the code that needs this PR to be pulled, but just in case."

So, thank you for PR, but there is nothing pending in my tree that requires
this PR to be pulled.

So, when I send the PR to Linus W. (presumably end of this week) it will be
solved on his level, I believe.

> > Conflicts is a normal practice during kernel development. And I believe this
> > particular one will be solved by Linus W.
> >
> > Stephen, resolution looks correct to me, thank you.

-- 
With Best Regards,
Andy Shevchenko